Contacts
The contact object
Attributes
idstringrequiredpattern^[1-9][0-9]{0,18}$Opaque Polymorfa resource ID. Keep this value as a string.
phoneNumberstringPhone number in international format.
bsuidstringBusiness-scoped user identifier (BSUID), scoped to the owning business portfolio.
usernamestringWhatsApp username when one is available.
namestringrequiredHuman-readable name for this resource.
pushNamestringrequiredWhatsApp display name reported by the sender's client.
businessNamestringBusiness name shown to the customer.
profileUrlstringURL for the profile.
{
"id": "739182640518203",
"phoneNumber": "string",
"bsuid": "string",
"username": "string",
"name": "string",
"pushName": "string",
"businessName": "string",
"profileUrl": "string"
}List contacts
- Base URL
https://api.polymorfa.com- Required permission
contacts:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Contact list
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataarray of objectrequiredStructured data carried by this object.
Show 8 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/contacts" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": [
{
"id": "739182640518203",
"name": "string",
"pushName": "string"
}
]
}Get blocklist
- Base URL
https://api.polymorfa.com- Required permission
contacts:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Blocked contacts
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 2 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/contacts/blocked" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"hash": "string",
"contacts": [
{
"id": "739182640518203"
}
]
}
}Get contact
- Base URL
https://api.polymorfa.com- Required permission
contacts:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
contactIdstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for the contact.
Responses
200Contact details
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 8 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/contacts/<contactId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"id": "739182640518203",
"name": "string",
"pushName": "string"
}
}Get contact picture
- Base URL
https://api.polymorfa.com- Required permission
contacts:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
contactIdstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for the contact.
Responses
200Profile picture URL
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/contacts/<contactId>/picture" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"url": "string"
}
}Get user info
- Base URL
https://api.polymorfa.com- Required permission
contacts:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
contactIdstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for the contact.
Responses
200User metadata
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 8 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/contacts/<contactId>/info" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"id": "739182640518203",
"status": "string",
"pictureId": "string",
"verifiedName": "string",
"devices": [
{
"id": "739182640518203",
"device": 0
}
]
}
}Get user devices
- Base URL
https://api.polymorfa.com- Required permission
contacts:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
contactIdstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for the contact.
Responses
200Linked devices
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataarray of objectrequiredStructured data carried by this object.
Show 3 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/contacts/<contactId>/devices" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": [
{
"device": 0
}
]
}Get business profile
- Base URL
https://api.polymorfa.com- Required permission
contacts:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
contactIdstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for the contact.
Responses
200Business profile
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 14 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/contacts/<contactId>/business-profile" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"id": "739182640518203",
"address": "string",
"email": "string",
"description": "string",
"websites": [
"https://example.com"
],
"coverPhotoId": "string",
"categories": [
{
"id": "string",
"name": "string"
}
],
"options": {},
"hoursTimeZone": "string",
"hours": [
{
"dayOfWeek": "string",
"mode": "string",
"openTime": "string",
"closeTime": "string"
}
]
}
}Check contacts
- Base URL
https://api.polymorfa.com- Required permission
contacts:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Query parameters
phonestring or arrayrequiredPhone number in international format.
Accepts one ofstring
array, max items 1000
Responses
200Contact check results
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataarray of objectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/contacts/check?phone=<phone>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": [
{
"exists": true
}
]
}Block contact
- Base URL
https://api.polymorfa.com- Required permission
contacts:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
contactIdstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for the contact.
Responses
200Contact blocked
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/contacts/<contactId>/block" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true
}Unblock contact
- Base URL
https://api.polymorfa.com- Required permission
contacts:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
contactIdstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for the contact.
Responses
200Contact unblocked
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/contacts/<contactId>/unblock" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true
}